Aim for less than >2,000 characters where possible.
Simple, direct prompts are the most predictable and reliable.
Frame instructions positively:
"Do this" rather than "Don't do this".
Ex. “Keep the conversation casual” rather than “Don’t be too formal”.
This gives concrete examples of what to do, instead of leaving expected behavior open to interpretation.
string
Set your agent’s voice - all available voices can be found with the List Voices endpoint.
object
Define a JSON schema for how you want to get information about the call - information like email addresses, names, appointment times or any other type of custom data.In the webhook response or whenever you retrieve call data later, you’ll get the data you defined back under analysis.For example, if you wanted to retrieve this information from the call:
Add any additional information you want to associate with the call. This can be useful for tracking or categorizing calls.
string
Set the pathway that your agent will follow. This will override the prompt field, so there is no need to pass the ‘prompt’ field if you are setting a pathway.Warning: Setting a pathway will set the following fields to null / their default value - prompt, first_sentence, model, dynamic_data, tools, transfer_listSet to null or an empty string to clear the pathway.
string
default:"ENG"
Select a supported language of your choice. Optimizes every part of our API for that language - transcription, speech, and other inner workings.Supported Languages and their codes:
English: ENG
Spanish: ESP
French: FRE
Polish: POL
German: GER
Italian: ITA
Brazilian Portuguese: PBR
Portuguese: POR
string
The webhook should be a http / https callback url. We will send the call_id and transcript to this URL after the call completes. This can be useful if you want to have real time notifications when calls finish.Set to null or an empty string to clear the webhook.
string
default:"enhanced"
Select a model to use for your call.Options: base, turbo and enhanced.In nearly all cases, enhanced is the best choice for now.
Model differences
There are three different ways to use luly:
model: base
The original, follows scripts/procedures most effectively.
Supports all features and capabilities.
Best for Custom Tools
model: enhanced
Much faster latency and very conversational, works best with objective-based prompts.
Supports all features and capabilities.
model: turbo
The absolute fastest latency possible, can be verbose at times
Limited capabilities currently (excludes Transferring, IVR navigation, Custom Tools)
Extremely realistic conversation capabilities
string
A phrase that your call will start with instead of a generating one on the fly. This works both with and without wait_for_greeting. Can be more than one sentence, but must be less than 200 characters.To remove, set to null or an empty string.
array
Interact with the real world through API calls.Detailed tutorial here: Custom Tools
object
Integrate data from external APIs into your agent’s knowledge.Set to null or an empty string to clear dynamic data settings.Detailed usage in the Send Call endpoint.
number
default:"100"
Adjusts how patient the AI is when waiting for the user to finish speaking.Lower values mean the AI will respond more quickly, while higher values mean the AI will wait longer before responding.Recommended range: 50-200
50: Extremely quick, back and forth conversation
100: Balanced to respond at a natural pace
200: Very patient, allows for long pauses and interruptions. Ideal for collecting detailed information.
Try to start with 100 and make small adjustments in increments of ~10 as needed for your use case.
integer (minutes)
default:"30"
The maximum duration that calls to your agent can last before being automatically terminated.Set to null to reset to default.
Response
string
Can be success or error.
string
A message describing the status of the update.
object
An object containing the updated settings for the agent.
object
If the update was unsuccessful, this will contain the settings that failed to update. Useful to determine how your request is being interpreted on our end.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Luly AI","colors":{"primary":"#0099ff","light":"#0099ff","dark":"#0099ff"},"favicon":"/favicon.svg","logo":{"light":"https://mintlify.s3.us-west-1.amazonaws.com/developersden/logo/light.svg","dark":"https://mintlify.s3.us-west-1.amazonaws.com/developersden/logo/dark.svg"},"api":{"mdx":{"server":"https://app.luly.ai/api/"}},"navbar":{"links":[{"label":"Support","href":"mailto:lulyai@gmail.com"}],"primary":{"type":"button","label":"Get Started","href":"https://portal.luly.ai/"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"developersden","hasAudioNarration":false,"actualSubdomain":"developersden","customDomains":["docs.luly.ai"],"gitSource":{"type":"github","owner":"fa1ez","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae92254d4316d4cae5718b5:success","clientVersion":"0.0.4138","searchFilterCounts":[{"language":"default","tag":"api-reference","count":78},{"language":"default","tag":"Conversational Pathways","count":17},{"language":"default","tag":"Documentation","count":17},{"language":"default","tag":"Calls","count":9},{"language":"default","tag":"Basic Tutorials","count":9},{"language":"default","tag":"SMS","count":8},{"language":"default","tag":"Batches","count":6},{"language":"default","tag":"Pathway Folders","count":6},{"language":"default","tag":"Custom Tools","count":5},{"language":"default","tag":"Vector Stores","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/webAgent/update","slug":"/api-reference/webAgent/update","pageMetadata":{"title":"Update Web Agent Settings","description":"Update your web agent’s settings, prompt and other details.","api":"POST /v1/agents/{agent_id}","href":"/api-reference/webAgent/update"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update your web agent’s settings, prompt and other details.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,CodeBlock,Heading,ParamField,ResponseField}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`authorization`,type:`string`,required:true,id:`param-authorization`,children:_jsx(_components.p,{children:`Your API key for authentication.`})}),`\n`,_jsx(Heading,{level:`3`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(ParamField,{path:`agent_id`,type:`string`,id:`param-agent-id`,children:_jsx(_components.p,{children:`The web agent you’ll be updating.`})}),`\n`,_jsx(Heading,{level:`3`,id:`body`,children:`Body`}),`\n`,_jsxs(ParamField,{body:`prompt`,type:`string`,required:true,id:`param-prompt`,children:[_jsx(_components.p,{children:`Provide instructions, relevant information, and examples of the ideal conversation flow.`}),_jsxs(Accordion,{title:`Best Practices`,id:`best-practices`,children:[_jsx(Heading,{level:`4`,id:`out-of-the-box-behaviors-summarized-%3A`,children:`Out-of-the-Box Behaviors (Summarized):`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Speech pattern: Direct, concise, casual`}),`\n`,_jsx(_components.li,{children:`Spells out symbols, acronyms, abbreviations, percentages, etc. ($4,000,000 -> “four million dollars”)`}),`\n`,_jsx(_components.li,{children:`Asks clarifying questions`}),`\n`,_jsx(_components.li,{children:`Ends call when objective is complete or voicemail is detected`}),`\n`]}),_jsx(Heading,{level:`4`,id:`prompting-tips%3A`,children:`Prompting Tips:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Want to easily test out exactly how your agent will behave?`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`https://portal.luly.ai/login`,children:`Try out Agent Testing!`})}),`\n`]}),`\n`]}),`\n`,_jsx(_components.li,{children:`Aim for less than >2,000 characters where possible.`}),`\n`,_jsx(_components.li,{children:`Simple, direct prompts are the most predictable and reliable.`}),`\n`,_jsxs(_components.li,{children:[`Frame instructions positively:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`\"Do this\"`}),` rather than `,_jsx(_components.code,{children:`\"Don't do this\"`}),`.`]}),`\n`,_jsx(_components.li,{children:`Ex. “Keep the conversation casual” rather than “Don’t be too formal”.`}),`\n`,_jsx(_components.li,{children:`This gives concrete examples of what to do, instead of leaving expected behavior open to interpretation.`}),`\n`]}),`\n`]}),`\n`]})]})]}),`\n`,_jsx(ParamField,{body:`voice`,type:`string`,id:`param-voice`,children:_jsxs(_components.p,{children:[`Set your agent’s voice - all available voices can be found with the `,_jsx(_components.a,{href:`https://docs.luly.ai/api-v1/get/voices`,children:`List Voices`}),` endpoint.`]})}),`\n`,_jsxs(ParamField,{body:`analysis_schema`,type:`object`,id:`param-analysis-schema`,children:[_jsx(_components.p,{children:`Define a JSON schema for how you want to get information about the call - information like email addresses, names, appointment times or any other type of custom data.`}),_jsx(_components.p,{children:`In the webhook response or whenever you retrieve call data later, you’ll get the data you defined back under analysis.`}),_jsx(_components.p,{children:`For example, if you wanted to retrieve this information from the call:`}),_jsx(CodeBlock,{numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"analysis_schema\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"email_address\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"email\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"first_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"last_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"wants_to_book_appointment\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"boolean\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"appointment_time\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YYYY-MM-DD HH:MM:SS\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(_components.p,{children:`You would get it filled out like this in your webhook once the call completes:`}),_jsx(CodeBlock,{numberOfLines:`8`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"analysis\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"email_address\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"johndoe@gmail.com\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"first_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"John\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"last_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Doe\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"wants_to_book_appointment\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"appointment_time\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-01-01 12:00:00\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`]})})})]}),`\n`,_jsx(ParamField,{body:`metadata`,type:`object`,id:`param-metadata`,children:_jsx(_components.p,{children:`Add any additional information you want to associate with the call. This can be useful for tracking or categorizing calls.`})}),`\n`,_jsxs(ParamField,{body:`pathway_id`,type:`string`,id:`param-pathway-id`,children:[_jsxs(_components.p,{children:[`Set the pathway that your agent will follow. This will override the `,_jsx(_components.code,{children:`prompt`}),` field, so there is no need to pass the ‘prompt’ field if you are setting a pathway.`]}),_jsxs(_components.p,{children:[`Warning: Setting a pathway will set the following fields to `,_jsx(_components.code,{children:`null`}),` / their default value - `,_jsx(_components.code,{children:`prompt`}),`, `,_jsx(_components.code,{children:`first_sentence`}),`, `,_jsx(_components.code,{children:`model`}),`, `,_jsx(_components.code,{children:`dynamic_data`}),`, `,_jsx(_components.code,{children:`tools`}),`, `,_jsx(_components.code,{children:`transfer_list`})]}),_jsxs(_components.p,{children:[`Set to `,_jsx(_components.code,{children:`null`}),` or an empty string to clear the pathway.`]})]}),`\n`,_jsxs(ParamField,{body:`language`,type:`string`,default:`ENG`,id:`param-language`,children:[_jsx(_components.p,{children:`Select a supported language of your choice. Optimizes every part of our API for that language - transcription, speech, and other inner workings.`}),_jsx(_components.p,{children:`Supported Languages and their codes:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`English: `,_jsx(_components.code,{children:`ENG`})]}),`\n`,_jsxs(_components.li,{children:[`Spanish: `,_jsx(_components.code,{children:`ESP`})]}),`\n`,_jsxs(_components.li,{children:[`French: `,_jsx(_components.code,{children:`FRE`})]}),`\n`,_jsxs(_components.li,{children:[`Polish: `,_jsx(_components.code,{children:`POL`})]}),`\n`,_jsxs(_components.li,{children:[`German: `,_jsx(_components.code,{children:`GER`})]}),`\n`,_jsxs(_components.li,{children:[`Italian: `,_jsx(_components.code,{children:`ITA`})]}),`\n`,_jsxs(_components.li,{children:[`Brazilian Portuguese: `,_jsx(_components.code,{children:`PBR`})]}),`\n`,_jsxs(_components.li,{children:[`Portuguese: `,_jsx(_components.code,{children:`POR`})]}),`\n`]})]}),`\n`,_jsxs(ParamField,{body:`webhook`,type:`string`,id:`param-webhook`,children:[_jsx(_components.p,{children:`The webhook should be a http / https callback url. We will send the call_id and transcript to this URL after the call completes. This can be useful if you want to have real time notifications when calls finish.`}),_jsxs(_components.p,{children:[`Set to `,_jsx(_components.code,{children:`null`}),` or an empty string to clear the webhook.`]})]}),`\n`,_jsxs(ParamField,{body:`model`,type:`string`,default:`enhanced`,id:`param-model`,children:[_jsx(_components.p,{children:`Select a model to use for your call.`}),_jsxs(_components.p,{children:[`Options: `,_jsx(_components.code,{children:`base`}),`, `,_jsx(_components.code,{children:`turbo`}),` and `,_jsx(_components.code,{children:`enhanced`}),`.`]}),_jsxs(_components.p,{children:[`In nearly all cases, `,_jsx(_components.code,{children:`enhanced`}),` is the best choice for now.`]}),_jsxs(Accordion,{title:`Model differences`,id:`model-differences`,children:[_jsx(_components.p,{children:`There are three different ways to use luly:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`model: base`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The original, follows scripts/procedures most effectively.`}),`\n`,_jsx(_components.li,{children:`Supports all features and capabilities.`}),`\n`,_jsx(_components.li,{children:`Best for Custom Tools`}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`model: enhanced`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Much faster latency and very conversational, works best with objective-based prompts.`}),`\n`,_jsx(_components.li,{children:`Supports all features and capabilities.`}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`model: turbo`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The absolute fastest latency possible, can be verbose at times`}),`\n`,_jsx(_components.li,{children:`Limited capabilities currently (excludes Transferring, IVR navigation, Custom Tools)`}),`\n`,_jsx(_components.li,{children:`Extremely realistic conversation capabilities`}),`\n`]}),`\n`]}),`\n`]})]})]}),`\n`,_jsxs(ParamField,{body:`first_sentence`,type:`string`,id:`param-first-sentence`,children:[_jsxs(_components.p,{children:[`A phrase that your call will start with instead of a generating one on the fly. This works both with and without `,_jsx(_components.code,{children:`wait_for_greeting`}),`. Can be more than one sentence, but must be less than 200 characters.`]}),_jsx(_components.p,{children:`To remove, set to null or an empty string.`})]}),`\n`,_jsxs(ParamField,{body:`tools`,type:`array`,id:`param-tools`,children:[_jsx(_components.p,{children:`Interact with the real world through API calls.`}),_jsxs(_components.p,{children:[`Detailed tutorial here: `,_jsx(_components.a,{href:`https://docs.luly.ai/tutorials/custom-tools`,children:`Custom Tools`})]})]}),`\n`,_jsxs(ParamField,{body:`dynamic_data`,type:`object`,id:`param-dynamic-data`,children:[_jsx(_components.p,{children:`Integrate data from external APIs into your agent’s knowledge.`}),_jsx(_components.p,{children:`Set to null or an empty string to clear dynamic data settings.`}),_jsxs(_components.p,{children:[`Detailed usage in the `,_jsx(_components.a,{href:`https://docs.luly.ai/api-v1/post/calls`,children:`Send Call`}),` endpoint.`]})]}),`\n`,_jsxs(ParamField,{body:`interruption_threshold`,type:`number`,default:`100`,id:`param-interruption-threshold`,children:[_jsx(_components.p,{children:`Adjusts how patient the AI is when waiting for the user to finish speaking.`}),_jsx(_components.p,{children:`Lower values mean the AI will respond more quickly, while higher values mean the AI will wait longer before responding.`}),_jsx(_components.p,{children:`Recommended range: 50-200`}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`50: Extremely quick, back and forth conversation`}),`\n`,_jsx(_components.li,{children:`100: Balanced to respond at a natural pace`}),`\n`,_jsx(_components.li,{children:`200: Very patient, allows for long pauses and interruptions. Ideal for collecting detailed information.`}),`\n`]}),_jsx(_components.p,{children:`Try to start with 100 and make small adjustments in increments of ~10 as needed for your use case.`})]}),`\n`,_jsxs(ParamField,{body:`max_duration`,type:`integer (minutes)`,default:`30`,id:`param-max-duration`,children:[_jsx(_components.p,{children:`The maximum duration that calls to your agent can last before being automatically terminated.`}),_jsxs(_components.p,{children:[`Set to `,_jsx(_components.code,{children:`null`}),` to reset to default.`]})]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:_jsxs(_components.p,{children:[`Can be `,_jsx(_components.code,{children:`success`}),` or `,_jsx(_components.code,{children:`error`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`,children:_jsx(_components.p,{children:`A message describing the status of the update.`})}),`\n`,_jsx(ResponseField,{name:`updates`,type:`object`,id:`param-updates`,children:_jsx(_components.p,{children:`An object containing the updated settings for the agent.`})}),`\n`,_jsx(ResponseField,{name:`failed_updates`,type:`object`,id:`param-failed-updates`,children:_jsx(_components.p,{children:`If the update was unsuccessful, this will contain the settings that failed to update. Useful to determine how your request is being interpreted on our end.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Web Agent Settings","description":"Update your web agent’s settings, prompt and other details.","api":"POST /v1/agents/{agent_id}","href":"/api-reference/webAgent/update"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[336,340,"Example,ResponseFiel"],[577,592,"Example)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingM"],[17716,17718,",`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`8`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Successfully updated agent 46f37229-7d12-44be-b343-6e68274cfbea.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updates\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"enhanced\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`]})})})})]}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Headers","slug":"headers","depth":3,"children":[]},{"title":"Path Parameters","slug":"path-parameters","depth":3,"children":[]},{"title":"Body","slug":"body","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"8\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Successfully updated agent 46f37229-7d12-44be-b343-6e68274cfbea.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updates\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"model\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"enhanced\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Update Web Agent Settings","path":"/v1/agents/{agent_id}","servers":[{"url":"https://app.luly.ai/api/"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{"authorization":{"schema":[{"type":"string","description":"Your API key for authentication.","required":true}]}},"cookie":{},"path":{"agent_id":{"schema":[{"type":"string","description":"The web agent you’ll be updating."}]}}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"prompt":[{"type":"string","description":"Provide instructions, relevant information, and examples of the ideal conversation flow.","required":true}],"voice":[{"type":"string","description":"Set your agent’s voice - all available voices can be found with the List Voices endpoint."}],"analysis_schema":[{"type":"object","properties":{},"description":"Define a JSON schema for how you want to get information about the call - information like email addresses, names, appointment times or any other type of custom data. In the webhook response or whenever you retrieve call data later, you’ll get the data you defined back under analysis. For example, if you wanted to retrieve this information from the call: You would get it filled out like this in your webhook once the call completes:"}],"metadata":[{"type":"object","properties":{},"description":"Add any additional information you want to associate with the call. This can be useful for tracking or categorizing calls."}],"pathway_id":[{"type":"string","description":"Set the pathway that your agent will follow. This will override the `prompt` field, so there is no need to pass the ‘prompt’ field if you are setting a pathway. Warning: Setting a pathway will set the following fields to `null` / their default value - `prompt` , `first_sentence` , `model` , `dynamic_data` , `tools` , `transfer_list` Set to `null` or an empty string to clear the pathway."}],"language":[{"type":"string","description":"Select a supported language of your choice. Optimizes every part of our API for that language - transcription, speech, and other inner workings. Supported Languages and their codes: English: `ENG` Spanish: `ESP` French: `FRE` Polish: `POL` German: `GER` Italian: `ITA` Brazilian Portuguese: `PBR` Portuguese: `POR`"}],"webhook":[{"type":"string","description":"The webhook should be a http / https callback url. We will send the call_id and transcript to this URL after the call completes. This can be useful if you want to have real time notifications when calls finish. Set to `null` or an empty string to clear the webhook."}],"model":[{"type":"string","description":"Select a model to use for your call. Options: `base` , `turbo` and `enhanced` . In nearly all cases, `enhanced` is the best choice for now."}],"first_sentence":[{"type":"string","description":"A phrase that your call will start with instead of a generating one on the fly. This works both with and without `wait_for_greeting` . Can be more than one sentence, but must be less than 200 characters. To remove, set to null or an empty string."}],"tools":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"Interact with the real world through API calls. Detailed tutorial here: Custom Tools"}],"dynamic_data":[{"type":"object","properties":{},"description":"Integrate data from external APIs into your agent’s knowledge. Set to null or an empty string to clear dynamic data settings. Detailed usage in the Send Call endpoint."}],"interruption_threshold":[{"type":"number","description":"Adjusts how patient the AI is when waiting for the user to finish speaking. Lower values mean the AI will respond more quickly, while higher values mean the AI will wait longer before responding. Recommended range: 50-200 50: Extremely quick, back and forth conversation 100: Balanced to respond at a natural pace 200: Very patient, allows for long pauses and interruptions. Ideal for collecting detailed information. Try to start with 100 and make small adjustments in increments of ~10 as needed for your use case."}],"max_duration":[{"type":"object","properties":{},"description":"The maximum duration that calls to your agent can last before being automatically terminated. Set to `null` to reset to default."}]}}],"examples":{"example":{"value":{"prompt":"\u003cstring>","voice":"\u003cstring>","analysis_schema":{},"metadata":{},"pathway_id":"\u003cstring>","language":"\u003cstring>","webhook":"\u003cstring>","model":"\u003cstring>","first_sentence":"\u003cstring>","tools":[{}],"dynamic_data":{},"interruption_threshold":123,"max_duration":{}}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"status":[{"type":"string","description":"Can be `success` or `error` ."}],"message":[{"type":"string","description":"A message describing the status of the update."}],"updates":[{"type":"object","properties":{},"description":"An object containing the updated settings for the agent."}],"failed_updates":[{"type":"object","properties":{},"description":"If the update was unsuccessful, this will contain the settings that failed to update. Useful to determine how your request is being interpreted on our end."}]}}],"examples":{"example":{"value":{"status":"\u003cstring>","message":"\u003cstring>","updates":{},"failed_updates":{}}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"developersden","siteName":"Luly AI","title":"Update Web Agent Settings - Luly AI","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/webAgent/update.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update your web agent’s settings, prompt and other details.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Luly AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/developersden/_generated/favicon/apple-touch-icon.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/developersden/_generated/favicon/favicon-32x32.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/developersden/_generated/favicon/favicon-16x16.png?v=3\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/developersden/_generated/favicon/favicon.ico?v=3\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Web Agent Settings - Luly AI\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update your web agent’s settings, prompt and other details.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Luly AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.luly.ai/api-reference/webAgent/update\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://developersden.mintlify.site/_mintlify/api/og/v2?division=Web+Agents\u0026amp;title=Update+Web+Agent+Settings\u0026amp;description=Update+your+web+agent%E2%80%99s+settings%2C+prompt+and+other+details.\u0026amp;theme=bbcb65f7bd21f9dfa5f56a81\u0026amp;signature=68bd2a5249c8afa01fc9a973a723c6f9ae1cc1e38a9352547cc6b8374e70f507\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Web Agent Settings - Luly AI\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update your web agent’s settings, prompt and other details.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://developersden.mintlify.site/_mintlify/api/og/v2?division=Web+Agents\u0026amp;title=Update+Web+Agent+Settings\u0026amp;description=Update+your+web+agent%E2%80%99s+settings%2C+prompt+and+other+details.\u0026amp;theme=bbcb65f7bd21f9dfa5f56a81\u0026amp;signature=68bd2a5249c8afa01fc9a973a723c6f9ae1cc1e38a9352547cc6b8374e70f507\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/developersden/_generated/favicon/browserconfig.xml?v=3\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Luly AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0099ff\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.luly.ai/api-reference/webAgent/update\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/webAgent/update.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.luly.ai/#organization\",\"name\":\"Luly AI\",\"url\":\"https://docs.luly.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintlify.s3.us-west-1.amazonaws.com/developersden/logo/light.svg\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.luly.ai#website\",\"name\":\"Luly AI\",\"url\":\"https://docs.luly.ai\",\"publisher\":{\"@id\":\"https://docs.luly.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.luly.ai/api-reference/webAgent/update#webpage\",\"url\":\"https://docs.luly.ai/api-reference/webAgent/update\",\"name\":\"Update Web Agent Settings\",\"description\":\"Update your web agent’s settings, prompt and other details.\",\"isPartOf\":{\"@id\":\"https://docs.luly.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.luly.ai/api-reference/webAgent/update#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.luly.ai/api-reference/webAgent/update#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Web Agents\",\"item\":\"https://docs.luly.ai/api-reference/webAgent/create\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update Web Agent Settings\",\"item\":\"https://docs.luly.ai/api-reference/webAgent/update\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.luly.ai/api-reference/webAgent/update#apireference\",\"headline\":\"Update Web Agent Settings\",\"name\":\"Update Web Agent Settings\",\"description\":\"Update your web agent’s settings, prompt and other details.\",\"url\":\"https://docs.luly.ai/api-reference/webAgent/update\",\"mainEntityOfPage\":{\"@id\":\"https://docs.luly.ai/api-reference/webAgent/update#webpage\"},\"publisher\":{\"@id\":\"https://docs.luly.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.luly.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Luly AI\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Luly AI\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/webAgent/update.md","siteName":"Luly AI","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"api-reference","groups":[{"group":"Basic","pages":[{"title":"Send Call (Simple)","api":"POST v1/calls","href":"/api-reference/basic/sendCall"},{"title":"Send Call using Pathways (Simple)","api":"POST /v1/calls","href":"/api-reference/basic/sendCallPathways"}]},{"group":"Calls","pages":[{"title":"Send Call","api":"POST v1/calls","href":"/api-reference/calls/sendCall"},{"title":"Analyze Call with AI","api":"POST /v1/calls/{call_id}/analyze","href":"/api-reference/calls/analyzeCall"},{"title":"Stop Active Call","api":"POST v1/calls/{call_id}/stop","href":"/api-reference/calls/stopActiveCall"},{"title":"Stop All Active Calls","api":"POST v1/calls/active/stop","href":"/api-reference/calls/stopAllActiveCalls"},{"title":"List Calls","api":"GET v1/calls","href":"/api-reference/calls/listCalls"},{"title":"Call Details","api":"GET /v1/calls/{call_id}","href":"/api-reference/calls/callDetails"},{"title":"Event Stream","api":"GET v1/event_stream/{call_id}","href":"/api-reference/calls/eventStream"},{"title":"Audio Recording","api":"GET /v1/calls/{call_id}/recording","href":"/api-reference/calls/audioRecording"},{"title":"Get Corrected Transcript","api":"GET /v1/calls/{call_id}/correct","href":"/api-reference/calls/correctedTranscript"}]},{"group":"Vector Stores","pages":[{"title":"Create a Vector Store","api":"POST /vectors","href":"/api-reference/vectorStores/createStore"},{"title":"Update Vector Store","api":"POST vectors/{vector_id}","href":"/api-reference/vectorStores/updateStore"},{"title":"List Vector Stores","api":"GET /vectors","href":"/api-reference/vectorStores/listStore"},{"title":"List Vector Details","api":"GET vectors/{vector_id}","href":"/api-reference/vectorStores/listDetails"},{"title":"Delete Vector Store","api":"POST /vectors/{vector_id}/delete","href":"/api-reference/vectorStores/deleteStore"}]},{"group":"Conversational Pathways","pages":[{"title":"Get All Pathways Information","api":"GET /v1/convo_pathway","href":"/api-reference/pathways/getAll"},{"title":"Get Single Pathway Information","api":"GET /v1/convo_pathway/{pathway_id}","href":"/api-reference/pathways/get"},{"title":"Create Pathway","api":"POST /v1/pathway/create","href":"/api-reference/pathways/create"},{"title":"Update Pathway","api":"POST /v1/convo_pathway/{pathway_id}","href":"/api-reference/pathways/update"},{"title":"Delete Pathway","api":"DELETE /v1/convo_pathway/{pathway_id}","href":"/api-reference/pathways/delete"},{"group":"Pathway Chat","pages":[{"title":"Create Pathway Chat","api":"POST /v1/pathway/chat/create","href":"/api-reference/pathways/chats/create"},{"title":"Pathway Chat","api":"POST /v1/pathway/chat/{id}","href":"/api-reference/pathways/chats/chat"}]},{"group":"Pathway Versions","pages":[{"title":"Get Pathway Versions","api":"GET /v1/pathway/:pathway_id/versions","href":"/api-reference/pathways/versions/get"},{"title":"Get Specific Pathway Version","api":"Get /v1/pathway/{pathway_id}/version/{version_id}","href":"/api-reference/pathways/versions/getSpecific"},{"title":"Create Pathway Version","api":"POST /v1/pathway/{pathway_id}/version","href":"/api-reference/pathways/versions/create"},{"title":"Delete Pathway Version","api":"DELETE /v1/{pathway_id}/versions/{version_id}","href":"/api-reference/pathways/versions/delete"}]},{"group":"Pathway Folders","pages":[{"title":"Get All Folders","api":"GET /v1/pathway/folders","href":"/api-reference/pathways/folders/get"},{"title":"Get Pathways in Folder","api":"GET /v1/pathway/folders/{folder_id}/pathways","href":"/api-reference/pathways/folders/getPathways"},{"title":"Create Folder","api":"POST /v1/pathway/folders","href":"/api-reference/pathways/folders/create"},{"title":"Delete Folder","api":"DELETE /v1/pathway/folders/{folder_id}","href":"/api-reference/pathways/folders/delete"},{"title":"Update Folder","api":"PATCH /v1/pathway/folders/{folder_id}","href":"/api-reference/pathways/folders/update"},{"title":"Move Pathway","api":"POST /v1/pathway/folders/move","href":"/api-reference/pathways/folders/move"}]}]},{"group":"Inbound Numbers","pages":[{"title":"Purchase Inbound number","api":"POST /v1/inbound/purchase","href":"/api-reference/inbound/purchase"},{"title":"Update Inbound Details","api":"POST /v1/inbound/{phone_number}","href":"/api-reference/inbound/update"},{"title":"List Inbound Numbers","api":"GET /v1/inbound","href":"/api-reference/inbound/list"},{"title":"Inbound Number Details","api":"GET /v1/inbound/{phone_number}","href":"/api-reference/inbound/details"}]},{"group":"Outbound Numbers","pages":[{"title":"Purchase Outbound number","api":"POST /v1/outbound/purchase","href":"/api-reference/outbound/purchase"},{"title":"List Outbound Numbers","api":"GET /v1/outbound","href":"/api-reference/outbound/list"}]},{"group":"Voices","pages":[{"title":"List Voices","api":"GET /v1/voices","href":"/api-reference/voice/list"},{"title":"Voice Details","api":"GET /v1/voices/{id}","href":"/api-reference/voice/details"},{"title":"Publish Cloned Voice","api":"POST /v1/voices/{id}/publish","href":"/api-reference/voice/publishCloned"},{"title":"Generate Audio Sample","api":"POST /v1/voices/{id}/sample","href":"/api-reference/voice/audioSample"}]},{"group":"Custom Tools","pages":[{"title":"Create a Custom Tool","api":"POST /v1/tools","href":"/api-reference/customTool/create"},{"title":"Update Custom Tool","api":"POST /v1/tools/{tool_id}","href":"/api-reference/customTool/update"},{"title":"Delete Custom Tool","api":"DELETE /v1/tools/{tool_id}","href":"/api-reference/customTool/delete"},{"title":"List Custom Tools","api":"GET /v1/tools","href":"/api-reference/customTool/list"},{"title":"Custom Tool Details","api":"GET /v1/tools/{tool_id}","href":"/api-reference/customTool/details"}]},{"group":"Web Agents","pages":[{"title":"Create a Web Agent","description":"Configure all of the settings for a new web agent.","api":"POST /v1/agents","href":"/api-reference/webAgent/create"},{"title":"Update Web Agent Settings","api":"POST /v1/agents/{agent_id}","href":"/api-reference/webAgent/update"},{"title":"Authorize a Web Agent Call","description":"Create a single-use session token for a client to talk with your web agent.","api":"POST /v1/agents/{agent_id}/authorize","href":"/api-reference/webAgent/authorize"},{"title":"Delete Web Agent","api":"POST /v1/agents/{agent_id}/delete","href":"/api-reference/webAgent/delete"},{"title":"List Web Agents","api":"GET /v1/agents","href":"/api-reference/webAgent/list"}]},{"group":"Custom Twilio Accounts","pages":[{"title":"Create Encrypted Key","api":"POST /v1/accounts","href":"/api-reference/twilioAccounts/create"},{"title":"Delete Encrypted Key","api":"POST /v1/accounts/delete","href":"/api-reference/twilioAccounts/deleteKey"},{"title":"Upload Inbound Phone Numbers","api":"POST /v1/accounts/delete","href":"/api-reference/twilioAccounts/upload"},{"title":"Delete Inbound Phone Number","api":"POST /v1/inbound/{phone_number}/delete","href":"/api-reference/twilioAccounts/deleteNumber"}]},{"group":"Campaigns","pages":[{"title":"Create a Campaign","api":"POST /v1/campaigns","href":"/api-reference/campaigns/create"},{"title":"Stop Campaign","api":"POST /v1/campaigns/{campaign_id}/stop","href":"/api-reference/campaigns/stop"},{"title":"List Campaigns","api":"GET /v1/campaigns","href":"/api-reference/campaigns/list"},{"title":"Campaign Details","api":"POST /v1/campaigns/{id}","href":"/api-reference/campaigns/details"}]},{"group":"Prompts","pages":[{"title":"List Prompts","api":"GET /v1/prompts","href":"/api-reference/prompts/list"},{"title":"Prompt Details","api":"GET /v1/prompts/{prompt_id}","href":"/api-reference/prompts/details"},{"title":"Create Prompt","api":"POST /v1/prompts","href":"/api-reference/prompts/create"}]},{"group":"Batches","pages":[{"title":"Send a Batch of Calls","api":"POST /v1/batches","href":"/api-reference/batches/send"},{"title":"Analyze Batch with AI","api":"POST /v1/batches/{batch_id}/analyze","href":"/api-reference/batches/analyzeBatch"},{"title":"Stop Active Batch","api":"POST /v1/batches/{batch_id}/stop","href":"/api-reference/batches/stop"},{"title":"List Batches","api":"GET /v1/batches","href":"/api-reference/batches/list"},{"title":"Batch Details","api":"GET /v1/batches/{batch_id}","href":"/api-reference/batches/detail"},{"title":"Retrieve Batch Analysis","api":"GET /v1/batches/{batch_id}/analysis","href":"/api-reference/batches/retrieve"}]},{"group":"SMS","pages":[{"title":"A2P Registration","api":"POST /v1/sms/register","href":"/api-reference/sms/registration"},{"title":"Check SMS A2P status","api":"POST /v1/sms/register/status","href":"/api-reference/sms/status"},{"title":"Update SMS Number","api":"POST /v1/sms/update","href":"/api-reference/sms/update"},{"title":"Clear SMS Conversation","api":"POST /v1/sms/clear","href":"/api-reference/sms/clear"},{"title":"SMS Conversation Analysis","api":"POST /v1/sms/analyze","href":"/api-reference/sms/conversationAnalysis"},{"title":"Get SMS Messages","api":"POST /v1/sms/messages/get","href":"/api-reference/sms/messages"},{"title":"Toggle SMS Reply Method","api":"POST /v1/sms/toggle","href":"/api-reference/sms/replyMethod"},{"title":"Update SMS Webhook","api":"POST /v1/sms/webhook/update","href":"/api-reference/sms/webhook"}]}]}]},"basePath":"","title":"Update Web Agent Settings - Luly AI","buildId":"dpl_715YoAgvjTGBDdo8RtXmHKM22b5p","deploymentId":"dpl_715YoAgvjTGBDdo8RtXmHKM22b5p","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-BvKnMd7F.js","utils-BMt52org.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CGXZuDGO.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dl57XWH2.js","snippetPresets-CWd8CxSk.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BR-Wkc_D.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-YMmi08aZ.js","shallow-DBC1OB78.js","getApiPlaygroundDisplay-Be7mmEzP.js","CodeSnippet-B14o1TgQ.js","CodeSnippets-CJ2q3fTq.js","Page-Chgj7sZe.js","getPastedJson-DnpLXm8x.js","icon-BpkSFtdK.js","MethodPill-BO3zPf-g.js","DuplicateIcon-Bib3qwfw.js","createIcon-CY2noFo3.js","DynamicMarkdown-TAXIW2vN.js","SectionHeading-Dfs3Fmfw.js","axios-vUo_bRtp.js"]}